Subject: Re: bug#42765: 26.3; project-find-regexp broken in Emacs 26.3

From: Stefan Kangas <[email-masked]>
Date: Thu, 1 Oct 2020 05:50:54 -0700

Dmitry Gutov <[email-masked]> writes:

> On 08.08.2020 19:42, Philip K. wrote:
>> I managed to fix this by installing a newer Xref version from ELPA, but
>> I think this situation should be handled more gracefully. Is there a
>> reason that project.el doesn't depend on the newer Xref version?
>
> I have pushed a fix for, hopefully. Commit 319463920c.
>
> It inverts the dependencies, making xref only depend on project.el implicitly,
> by requiring Emacs >= 26.3, and making it work with the older API. And making
> project depend on the latest xref.
>
> Hopefully this reversal won't create any problems when upgrading.

So is there anything more to do here, or should this bug be closed?